DtEditorDeleteSelection(library call)

NAME
DtEditorDeleteSelection — delete the primary selection in the DtEditor widget

SYNOPSIS

#include &<Dt/Editor.h>
Boolean DtEditorDeleteSelection(
Widget widget);

DESCRIPTION

The DtEditorDeleteSelection function removes the currently highlighted data in a DtEditor widget. Any data following the deleted data is moved up. Text can be selected and deselect programmatically with DtEditorSelectAll(3) and DtEditorDeselect(3).

The widget argument Specifies the DtEditor widget ID.

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

Upon successful completion, the DtEditorDeleteSelection function returns True; otherwise, if the primary selection is NULL, or if the widget does not own the primary selection, it returns False.

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditorClearSelection(3), DtEditorCopyToClipboard(3), DtEditorCutToClipboard(3), DtEditorDeselect(3), DtEditorPasteFromClipboard(3), DtEditorSelectAll(3), DtEditorUndoEdit(3).